ParameterMetaDataImpl (jTDS API)
Date: 2013-06-08

net.sourceforge.jtds.jdbc

## Class ParameterMetaDataImpl

- java.lang.Object
- - net.sourceforge.jtds.jdbc.ParameterMetaDataImpl

- All Implemented Interfaces:
    java.sql.ParameterMetaData, java.sql.Wrapper

      public class ParameterMetaDataImpl
      extends java.lang.Object
      implements java.sql.ParameterMetaData

  jTDS implementation of `ParameterMetaData`.

  For Sybase it is usually possible to obtain true parameter data for prepared statements. For Microsoft just use information determined from the actual parameters if set or return some reasonable defaults otherwise.
  Version:
    $Id: ParameterMetaDataImpl.java,v 1.7.2.3 2009-12-30 08:45:34 ickzon Exp $
  Author:
    Brian Heineman, Mike Hutchinson

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `maxPrecision`
    `private ParamInfo[]` | `parameterList`
    `private boolean` | `useLOBs`

    - ### Fields inherited from interface java.sql.ParameterMetaData

      `parameterModeIn, parameterModeInOut, parameterModeOut, parameterModeUnknown, parameterNoNulls, parameterNullable, parameterNullableUnknown`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterMetaDataImpl(ParamInfo[] parameterList, JtdsConnection connection)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `private ParamInfo` | `getParameter(int param)`
    `java.lang.String` | `getParameterClassName(int param)`
    `int` | `getParameterCount()`
    `int` | `getParameterMode(int param)`
    `int` | `getParameterType(int param)`
    `java.lang.String` | `getParameterTypeName(int param)`
    `int` | `getPrecision(int param)`
    `int` | `getScale(int param)`
    `int` | `isNullable(int param)`
    `boolean` | `isSigned(int param)`
    `boolean` | `isWrapperFor(java.lang.Class arg0)`
    `java.lang.Object` | `unwrap(java.lang.Class arg0)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parameterList

          private final ParamInfo[] parameterList

    - #### maxPrecision

          private final int maxPrecision

    - #### useLOBs

          private final boolean useLOBs

  - ### Constructor Detail

    - #### ParameterMetaDataImpl

          public ParameterMetaDataImpl(ParamInfo[] parameterList,
                               JtdsConnection connection)

  - ### Method Detail

    - #### getParameterCount

          public int getParameterCount()
                                throws java.sql.SQLException

      Specified by:
        `getParameterCount` in interface `java.sql.ParameterMetaData`
      Throws:
        `java.sql.SQLException`

    - #### isNullable

          public int isNullable(int param)
                         throws java.sql.SQLException

      Specified by:
        `isNullable` in interface `java.sql.ParameterMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getParameterType

          public int getParameterType(int param)
                               throws java.sql.SQLException

      Specified by:
        `getParameterType` in interface `java.sql.ParameterMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getScale

          public int getScale(int param)
                       throws java.sql.SQLException

      Specified by:
        `getScale` in interface `java.sql.ParameterMetaData`
      Throws:
        `java.sql.SQLException`

    - #### isSigned

          public boolean isSigned(int param)
                           throws java.sql.SQLException

      Specified by:
        `isSigned` in interface `java.sql.ParameterMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getPrecision

          public int getPrecision(int param)
                           throws java.sql.SQLException

      Specified by:
        `getPrecision` in interface `java.sql.ParameterMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getParameterTypeName

          public java.lang.String getParameterTypeName(int param)
                                                throws java.sql.SQLException

      Specified by:
        `getParameterTypeName` in interface `java.sql.ParameterMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getParameterClassName

          public java.lang.String getParameterClassName(int param)
                                                 throws java.sql.SQLException

      Specified by:
        `getParameterClassName` in interface `java.sql.ParameterMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getParameterMode

          public int getParameterMode(int param)
                               throws java.sql.SQLException

      Specified by:
        `getParameterMode` in interface `java.sql.ParameterMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getParameter

          private ParamInfo getParameter(int param)
                                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### isWrapperFor

          public boolean isWrapperFor(java.lang.Class arg0)
                               throws java.sql.SQLException

      Specified by:
        `isWrapperFor` in interface `java.sql.Wrapper`
      Throws:
        `java.sql.SQLException`

    - #### unwrap

          public java.lang.Object unwrap(java.lang.Class arg0)
                                  throws java.sql.SQLException

      Specified by:
        `unwrap` in interface `java.sql.Wrapper`
      Throws:
        `java.sql.SQLException`

Generated on June 8 2013